Finds items by container ID and/or sequence number.
curl --request POST \
--url https://{install}/api/item/find \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerId": "<string>",
"sequence": 123
}
'import requests
url = "https://{install}/api/item/find"
payload = {
"containerId": "<string>",
"sequence": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerId: '<string>', sequence: 123})
};
fetch('https://{install}/api/item/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/item/find");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"containerId\": \"<string>\",\n \"sequence\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"entity": "<string>",
"containerId": "<string>",
"processId": "<string>",
"sequence": 123,
"boardId": "<string>",
"cycleId": "<string>",
"resourceType": 123,
"resourceId": "<string>",
"dateOpened": "2023-11-07T05:31:56Z",
"dateWorking": "2023-11-07T05:31:56Z",
"dateClosed": "2023-11-07T05:31:56Z",
"time": [
{
"id": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"timeTypeId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"status": 123
}
],
"field": [
{
"fieldId": "<string>",
"data": "<string>"
}
],
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"clockStart": "2023-11-07T05:31:56Z",
"clockFinish": "2023-11-07T05:31:56Z",
"clockDelta": 123,
"clockHours": 123,
"clockStatus": 123,
"dependencyKey": "<string>",
"dependencyIndent": 123,
"dependencyChild": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Items
Finds items by container ID and/or sequence number.
POST
/
api
/
item
/
find
Finds items by container ID and/or sequence number.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The container ID and sequence number to search by.
Response
List of matching items.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Executes a filter query against items and returns paginated results.
Previous
Lists items in a container with optional filtering and pagination.
Next
⌘I